# { "type" : "env"}
weaver.cache.gateway.address=false
# { "type" : "env","value":""}
weaver.cache.gateway.cominfocache.address=false
##已优化去除，可以先在develop去除 验证
# { "type" : "fixed"}
weaver.cache.redis=standalone
##已优化去除，可以先在develop去除 验证
# { "type" : "fixed"}
weaver.cache.cacheManage=LayCache
## 是否开启一级缓存 （内存）
# { "type" : "fixed"}
weaver.cache.enableFirstCache=false
## 是否开启二级缓存 （中间件 如redis）
# { "type" : "fixed"}
weaver.cache.enableSecondCache=true
## 一级缓存初始大小
# { "type" : "fixed"}
weaver.cache.initialCapacity=5
## 一级缓存最大值
# { "type" : "fixed"}
weaver.cache.maxSizeCache=20
## weaverCache注解缓存是否开启一级缓存
# { "type" : "fixed"}
weaver.cache.weaverCacheFirstCache=false
## 单表缓存一级缓存是否开启
# { "type" : "fixed"}
weaver.cache.comminfoFirstCache=false
## 单表缓存一级缓存最大值
# { "type" : "fixed"}
weaver.cache.comminfoFirstCachceMaxSize=5000
## 缓存监控开关
# { "type" : "fixed"}
weaver.cache.monitorCache=false
## 缓存监控开关
# { "type" : "fixed"}
weaver.cache.layering-cache.stats=false
## 缓存实现方式
# { "type" : "fixed"}
weaver.cache.layering-cache.redis.redisSupport=redisTemplate
## 缓存序列化方式
# { "type" : "fixed"}
weaver.cache.layering-cache.redis.serializer=com.weaver.common.cache.laycache.core.redis.serializer.WeaverGenericJackson2JsonRedisSerializerserializer


######整合eteams-cache的配置

###redis部署方式，standalone即为单机(以host为准)，cluster为集群(以cluster为准)
# { "type" : "env"}
weaver.cache.layering-cache.redis.deploy=cluster
# { "type" : "env"}
weaver.cache.layering-cache.redis.cluster=127.0.0.1:6379,127.0.0.1:7379,127.0.0.1:8379
###集群情况下只能为0
# { "type" : "env"}
weaver.cache.layering-cache.redis.database=0
# { "type" : "env"}
weaver.cache.layering-cache.redis.host=127.0.0.1
# { "type" : "env"}
weaver.cache.layering-cache.redis.port=6379
# { "type" : "env"}
weaver.cache.layering-cache.redis.password=weaver
###连接池最大空闲
# { "type" : "env", "value":20}
weaver.cache.layering-cache.redis.maxIdle=2
###连接池最小空闲
# { "type" : "env", "value":10}
weaver.cache.layering-cache.redis.minIdle=2
###最大连接数
# { "type" : "env","value":75,"isIgnoreCloud":true}
weaver.cache.layering-cache.redis.maxTotal=75
##最大等待时间 10秒
# { "type" : "fixed"}
weaver.cache.layering-cache.redis.maxWaitMillis=10000
##获取资源时进行测试 只能为false 开启会有引起生产事故！！！
# { "type" : "fixed"}
weaver.cache.layering-cache.redis.testOnBorrow=false
## 归还资源时进行测试
# { "type" : "fixed"}
weaver.cache.layering-cache.redis.testOnReturn=false
## 资源池中资源最小空闲时间(单位为毫秒)，达到此值后空闲资源将被移除
# { "type" : "fixed"}
weaver.cache.layering-cache.redis.minEvictableIdleTimeMillis=180000
## 每30秒测试资源可用性
# { "type" : "fixed"}
weaver.cache.layering-cache.redis.timeBetweenEvictionRunsMillis=30000
##当资源空闲时进行测试
# { "type" : "fixed"}
weaver.cache.layering-cache.redis.testWhileIdle=true
##连接redis http请求readTimeout 和connectionTimeOut
# { "type" : "fixed"}
weaver.cache.layering-cache.redis.timeout=10000
##配置已优化可现在develop去除验证
# { "type" : "env","value":"false"}
redis.weaverEteamsCacheFilter=true
##配置已优化可现在develop去除验证
# { "type" : "fixed"}
weaver.cache.layering-cache.redis.weaverEteamsCacheFilter=false
# 单表缓存数据结构优化开关
# { "type" : "fixed"}
weaver.cache.comInfoHashSwitch=true
##单表缓存需要http请求人力服务的数据库表
# { "type" : "env", "value" : "HrmEmployeeComInfo,HrmDepartmentComInfo,HrmPositionComInfo,HrmGradeComInfo,HrmAvatarComInfo,HrmExtraOrgComInfo,EncryptBaseSettingCache,EncryptFieldConfigCache,HrmChannelComInfo"}
weaver.comInfo.hrm.tablenames=HrmEmployeeComInfo,HrmDepartmentComInfo,HrmPositionComInfo,HrmGradeComInfo,HrmAvatarComInfo,HrmExtraOrgComInfo,EncryptBaseSettingCache,EncryptFieldConfigCache,HrmChannelComInfo

#线程缓存
# { "type" : "env", "value" : "hrm-v4.0:hrmConfigSet,i18n,COMINFOCACHE-v4.0:com.weaver.common.hrm.cache.HrmDepartmentComInfo,COMINFOCACHE-v4.0:com.weaver.common.hrm.cache.HrmEmployeeComInfo,COMINFOCACHE-v4.0:com.weaver.common.hrm.cache.HrmAvatarComInfo,COMINFOCACHE-v4.0:com.weaver.common.hrm.cache.HrmGradeComInfo,COMINFOCACHE-v4.0:com.weaver.common.hrm.cache.HrmGradeComInfo,COMINFOCACHE-v4.0:com.weaver.common.hrm.cache.HrmPositionComInfo,HRM-v4.0:hrmPrivacyNeedDesensitized,AUTHORITY-v4.0:USER_ROLE"}
weaver.cache.threadLocal.whiteList=hrm-v4.0:hrmConfigSet,i18n,COMINFOCACHE-v4.0:com.weaver.common.hrm.cache.HrmDepartmentComInfo,COMINFOCACHE-v4.0:com.weaver.common.hrm.cache.HrmEmployeeComInfo,COMINFOCACHE-v4.0:com.weaver.common.hrm.cache.HrmAvatarComInfo,COMINFOCACHE-v4.0:com.weaver.common.hrm.cache.HrmGradeComInfo,COMINFOCACHE-v4.0:com.weaver.common.hrm.cache.HrmGradeComInfo,COMINFOCACHE-v4.0:com.weaver.common.hrm.cache.HrmPositionComInfo,HRM-v4.0:hrmPrivacyNeedDesensitized,AUTHORITY-v4.0:USER_ROLE
#线程级缓存增强版
# { "type" : "delete", "name" : "weaver.cache.threadLocal.serviceGroup.whiteList"}
#weaver.cache.threadLocal.serviceGroup.whiteList=i18n


# lua脚本优化 redis为集群环境下不能打开 redis在单机环境下建议打开
# { "type" : "fixed"}
weaver.cache.useLua.enable=false
# 单表缓存sapi是否开启
# { "type" : "fixed"}
weaver.cache.gateway.cominfocache.sapiEnable=true
# 单表缓存sapi超时连接时间
# { "type" : "fixed"}
weaver.rest.web.restPath.[/sapi/czw/11].restProperties.connectTimeOut=200
# 单表缓存sapi写入超时时间
# { "type" : "fixed"}
weaver.rest.web.restPath.[/sapi/czw/11].restProperties.writeTimeOut=200
# 单表缓存sapi读取超时时间
# { "type" : "fixed"}
weaver.rest.web.restPath.[/sapi/czw/11].restProperties.readTimeOut=200
#zcontain 一级缓存
# { "type" : "env", "value" : "false"}
weaver.cache.layering-cache.keyzset.firstCacheKeys=false
#zcontain 接口级别优化
# { "type" : "env", "value" : "*"}
weaver.cache.layering-cache.keyzset.firstCacheApi=*
#LayeringCache 二级缓存个数 默认 7000
# { "type" : "env", "value" : "25000"}
weaver.cache.firstCache.layeringCacheMaxSize=25000
#空值缓存优化
# { "type" : "fixed"}
weaver.cache.nullCache.keys=
#单表缓存一级缓存开关
# { "type" : "env", "value" : "true"}
weaver.cache.cominfocache.firstCache=true
#单表缓存一级缓存过期时间
# { "type" : "env", "value" : "3600"}
weaver.cache.cominfocache.firstCacheExpire=3600
#eteaams一级缓存
# { "type" : "env", "value" : "eteamscache-v5.0:java.lang.Integer_DISPLAY_MODULE_KEY_DYNAMIC,ETEAMSCACHE-v5.0:java.lang.String_T7AKVDNF84_ALL_TENANT_DISPLAY_MODULES_V0,ETEAMSCACHE-v5.0:Basic_SafetyLoginSettingCacheKey"}
weaver.cache.eteams.firstCache.keys=eteamscache-v5.0:java.lang.Integer_DISPLAY_MODULE_KEY_DYNAMIC,ETEAMSCACHE-v5.0:java.lang.String_T7AKVDNF84_ALL_TENANT_DISPLAY_MODULES,ETEAMSCACHE-v5.0:Basic_SafetyLoginSettingCacheKey
##eteaams 一级缓存大小
# { "type" : "env", "value" : "100000"}
weaver.cache.firstCache.eteamsCacheMaxSize=500000
# { "type" : "fixed"}
weaver.cache.tableAndCache.enable=true
# { "type" : "delete","name":"weaver.cache.baseCache.optimization"}

# { "type" : "delete","name":"weaver.cache.baseCache.optimization.notify"}

#开启redis管道模式优化
# { "type" : "env", "value" : "false"}
weaver.cache.tableCachePipeline=true
